/*!=====================================================================*\
|| #################################################################### ||
|| # Package - YouBricks Module Engine							        ||
|| # Copyright (C) since 2010  Youjoomla LLC. All Rights Reserved.      ||
|| # Author - Dragan Todorovic                                          ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla LLC                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
var $YJSC = jQuery.noConflict();
$YJSC(window).load(function () {
    function get_fancy() {
        if (GalleryThumbs == 1) {
			

		   $$('.modal_aj').each(function(el) { 
			  
			   var get_rel_data = el.getElement('.hiderel');
				el.set('rel',get_rel_data.get('html'));
			});
			
            $YJSC("a[rel^='prettyPhoto']").prettyPhoto({
                animation_speed: "normal",
                theme: ZoomTheme,
                slideshow: ZoomSlideSpeed,
                autoplay_slideshow: ZoomSlide,
                social_tools: '<div class="youbricks_social"></div>'
            })
        } else {
            $YJSC("a[rel^='prettyPhoto']").prettyPhoto({
                animation_speed: "normal",
                theme: ZoomTheme,
                slideshow: ZoomSlideSpeed,
                autoplay_slideshow: ZoomSlide,
                gallery_markup: "",
                social_tools: '<div class="youbricks_social"></div>'
            })
        }
    }
    var container = $YJSC("#YouBricks_main");
    function box_width() {
        var boxes = container.find(".YouBricks_box");
        var parentWidth = boxes.offsetParent().width();
        var max_box = Math.round(parentWidth / BrickW);
        BoxDev = max_box;
        var Fwidth = parentWidth / BoxDev;
        var Fpercent = 100 * Fwidth / parentWidth - 0.1;
        boxes.width(parentWidth / BoxDev - 1)
    }
    function broken_images() {
        $YJSC("img").each(function () {
            imgd = new Date();
            var image = $YJSC(this);
            if (image.context.naturalWidth == 0 || image.readyState == "uninitialized") {
                $YJSC(image).unbind("error").attr("src", "http://joomlatemplates.youjoomla.info/youbricks/images/stories/clock.jpg");
                console.log("broken")
            }
        })
    }
    box_width();
    $YJSC(function () {
        $YJSC(".YouBricks").css({
            height: "auto"
        });
        var isIe7 = $YJSC.browser.msie && $YJSC.browser.version == 7;
        if (!isIe7) {
            container.parent().hide()
        }
        container.imagesLoaded(function () {
            if (!isIe7) {
                container.parent().show()
            }
            container.masonry({
                itemSelector: ".YouBricks_box",
                columnWidth: function (containerWidth) {
                    box_width();
                    return containerWidth / BoxDev
                },
                isAnimated: true,
                animationOptions: {
                    duration: 250,
                    easing: "linear",
                    queue: false
                }
            });
            if (AnimeHeight == 1 && !isIe7) {
                anime_h()
            }
        });
        container.infinitescroll({
            navSelector: "#load_more",
            animate: AnimeScroll,
            extraScrollPx: AnimeScrollPx,
            YJScroll_next_page: YJLoader,
            YJScroll_sql_start: YJSqlStart,
            YJScroll_item_load: YJSqlItemLoad,
            Itemid: YJItemid,
            YJScroll_action: YJAction,
            itemSelector: ".YouBricks_box",
            loading: {
                msgText: MsgTxt,
                finishedMsg: FinText,
                img: YJImg
            }
        }, function (newElements) {
            var newElems = $YJSC(newElements).css({
                opacity: 0
            });
            newElems.imagesLoaded(function () {
                css3(newElems);
                box_width(newElems);
                show_tools(newElems);
                modal_size(newElems);
                get_fancy(newElems);
                count_likes(newElems);
                links_anime(newElems);
                box_toolsW(newElems);
                container.masonry("appended", newElems, true);
                newElems.animate({
                    opacity: 1
                })
            })
        });
        function show_tools(ele) {
            $YJSC(".YouBricks_box_in", ele).hover(function () {
                $YJSC(this).find("span.fadeover").fadeTo(500, 0.25);
                $YJSC(this).find(".YouBricks_box_tools").slideDown(500)
            }, function () {
                $YJSC(this).find(".YouBricks_box_tools").slideUp(500);
                $YJSC(this).find("span.fadeover").fadeOut(500, 0)
            })
        }
        function modal() {
            SqueezeBox.initialize({});
            SqueezeBox.assign($$("a.modal_aj"), {
                parse: "rel"
            })
        }
        function modal_size() {
            $YJSC("#sbox-overlay").height($YJSC(window).height());
            $YJSC("#sbox-overlay").width($YJSC(window).width())
        }
        function css3() {
            $YJSC(".YouBricks_box_in,a#yjbricks_getmore").css({
                borderRadius: BrickBRadius,
                WebkitBorderRadius: BrickBRadius,
                MozBorderRadius: BrickBRadius
            });
            $YJSC(".YouBricks_box_in").css({
                boxShadow: BrickBShadow,
                WebkitBoxShadow: BrickBShadow,
                MozBoxShadow: BrickBShadow
            });
            $YJSC("#infscr-loading").css({
                borderRadius: 10,
                WebkitBorderRadius: 10,
                MozBorderRadius: 10
            })
        }
        function count_likes(newElems) {
            if (newElems) {
                newElems.find(".likes").each(function () {
                    $YJSC(this).click(function (el) {
                        var id = $YJSC(this).attr("id");
                        var Myparent = $YJSC(this).parent().parent().parent();
                        var split_id = id.split("_");
                        Myparent.find(".likerersp").addClass("load");
                        function remove_response() {
                            setTimeout(function () {
                                Myparent.find(".likerersp").html("")
                            }, 2000)
                        }
                        $YJSC.ajax({
                            url: YJLike + "?cid=" + split_id[1] + "&source=" + split_id[2] + "&modid=" + ThisMod,
                            type: "post",
                            dataType: "json",
                            success: function (response) {
                                Myparent.find(".likerersp").removeClass("load");
                                if (response.error) {
                                    Myparent.find(".likerersp").html(response.error);
                                    remove_response()
                                } else {
                                    if (response.message) {
                                        Myparent.find(".likerersp").html(response.message);
                                        remove_response()
                                    }
                                }
                                if (response.message) {
                                    if (!isNaN(response.likes)) {
                                        $YJSC("span#likes_" + split_id[1]).html(function (i, val) {
                                            return val * 1 + 1
                                        })
                                    }
                                }
                            }
                        })
                    })
                })
            } else {
                $YJSC(".likes").each(function () {
                    $YJSC(this).click(function (el) {
                        var id = $YJSC(this).attr("id");
                        var Myparent = $YJSC(this).parent().parent().parent();
                        var split_id = id.split("_");
                        Myparent.find(".likerersp").addClass("load");
                        function remove_response() {
                            setTimeout(function () {
                                Myparent.find(".likerersp").html("")
                            }, 2000)
                        }
                        $YJSC.ajax({
                            url: YJLike + "?cid=" + split_id[1] + "&source=" + split_id[2] + "&modid=" + ThisMod,
                            type: "post",
                            dataType: "json",
                            success: function (response) {
                                Myparent.find(".likerersp").removeClass("load");
                                if (response.error) {
                                    Myparent.find(".likerersp").html(response.error);
                                    remove_response()
                                } else {
                                    if (response.message) {
                                        Myparent.find(".likerersp").html(response.message);
                                        remove_response()
                                    }
                                }
                                if (response.message) {
                                    if (!isNaN(response.likes)) {
                                        $YJSC("span#likes_" + split_id[1]).html(function (i, val) {
                                            return val * 1 + 1
                                        })
                                    }
                                }
                            }
                        })
                    })
                })
            }
        }
        function links_anime(ele) {
            $YJSC(".YouBricks_box_tools a,.counters div").fadeTo(0, 0.7);
            $YJSC(".YouBricks_box_tools a", ele).hover(function () {
                $YJSC(this).fadeTo(500, 1)
            }, function () {
                $YJSC(this).fadeTo(500, 0.7)
            })
        }
        function iebrowser() {
            if ($YJSC.browser.msie && ($YJSC.browser.version == 7 || $YJSC.browser.version == 8)) {
                var w_w = $YJSC(window).width();
                if (w_w <= 768) {
                    $YJSC(document.body).addClass("youbricks768");
                    $YJSC(document.body).removeClass("youbricks480")
                }
                if (w_w <= 480) {
                    $YJSC(document.body).addClass("youbricks480");
                    $YJSC(document.body).removeClass("youbricks768")
                }
                if (w_w > 768) {
                    $YJSC(document.body).removeClass("youbricks480");
                    $YJSC(document.body).removeClass("youbricks768")
                }
            }
        }
        function box_toolsW(ele) {
            $YJSC(".YouBricks_box_tools", ele).each(function () {
                var elC = $YJSC(this).find("a").size();
                if (elC == 3) {
                    $YJSC(this).find("a").css({
                        width: "33%"
                    })
                } else {
                    if (elC == 2) {
                        $YJSC(this).find("a").css({
                            width: "49%"
                        })
                    } else {
                        $YJSC(this).find("a").css({
                            width: "100%"
                        })
                    }
                }
            })
        }
        function anime_h(el) {
            $YJSC(".YouBricks_content").css({
                opacity: 0,
                height: 0
            });
            if (YJAction == 2) {
                var add_px = $YJSC("#load_more").height()
            } else {
                var add_px = 50
            }
            $YJSC(".YouBricks_content").animate({
                height: (container.height() + add_px),
                opacity: 1
            }, AHSpeed, function () {
                if (YJAction == 2) {
                    $YJSC(".YouBricks_content").css({
                        height: "auto"
                    })
                } else {
                    $YJSC(".YouBricks_content").css({
                        height: "auto",
                        paddingBottom: 20
                    })
                }
            })
        }
        function scroll_up() {
            var scrollTop = $YJSC(window).scrollTop();
            if ($YJSC("#ybscrollup").length == 0) {
                $YJSC(document.body).append('<a id="ybscrollup" href="#YouBricks_main">' + ScrollToTop + "</a>");
                $YJSC("#ybscrollup").click(function () {
                    $YJSC("html, body").animate({
                        scrollTop: 0
                    }, "slow");
                    return false
                });
                $YJSC("a#ybscrollup").css({
                    borderRadius: BrickBRadius,
                    WebkitBorderRadius: BrickBRadius,
                    MozBorderRadius: BrickBRadius
                })
            }
            if (scrollTop > 150) {
                $YJSC("#ybscrollup").fadeIn()
            } else {
                if (scrollTop < 150) {
                    $YJSC("#ybscrollup").fadeOut()
                }
            }
        }
        $YJSC("#load_more").click(function () {
            css3()
        });
        if (ScrollEnbl == 1) {
            $YJSC(window).scroll(function () {
                scroll_up()
            })
        }
        $YJSC(window).resize(function () {
            iebrowser()
        });
        $YJSC(document).ready(function () {
            css3();
            show_tools();
            get_fancy();
            count_likes();
            links_anime();
            iebrowser();
            box_toolsW()
        })
    })
});