<?php
/**
 * @version		$Id: category_item.php 1251 2011-10-19 17:50:13Z joomlaworks $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.gr
 * @copyright	Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Define default image size (do not change)
K2HelperUtilities::setDefaultImage($this->item, 'itemlist', $this->params);
JHtml::_( 'behavior.modal' );
$catName = strtolower(str_replace(" ","",$this->item->category->name));
?>

<!-- Start YJ Portfolio-->

<div class="yjportfolio" data-catname="<?php echo $catName?>">
	<div class="yjportfolioC">
		<a class="yjportfolioLink" href="<?php echo $this->item->link; ?>">
			<img src="<?php echo $this->item->image; ?>" alt="<?php if(!empty($this->item->image_caption)) echo K2HelperUtilities::cleanHtml($this->item->image_caption); else echo K2HelperUtilities::cleanHtml($this->item->title); ?>" style="width:<?php echo $this->item->imageWidth; ?>px; height:auto;" />
		</a>
		<div class="yjportfolioIntro">
			<div class="yjportfolioInfo">
				<h2 class="yjportfolioTitle">
					<a href="<?php echo $this->item->link; ?>">
						<?php echo $this->item->title; ?>
					</a>
				</h2>
				<div class="yjportfolioIcons infoItem">
					<a class="modal" rel="{handler: 'image'}" href="<?php echo $this->item->imageXLarge; ?>">
						<span class="icon-picture"></span>
					</a>
					<a href="<?php echo $this->item->link; ?>">
						<span class="icon-link"></span>
					</a>
				</div>
				<div class="yjportfolioCat infoItem" data-category="<?php echo $this->item->category->name ?>">
					<a href="<?php echo $this->item->category->link; ?>">
						<?php echo $this->item->category->name ?>
					</a>
				</div>
			</div>
		</div>
	</div>
</div>
