<?php
/**
 * @version		$Id: category.php 1153 2011-10-13 14:17:35Z joomlaworks $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.gr
 * @copyright	Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
$app = JFactory::getApplication();
$currentTemplate = $app->getTemplate(true)->template;


$db = JFactory::getDbo();
$query = $db->getQuery(true);
$query->select(array('name','parent'));
$query->from('#__k2_categories');
$query->where('published = 1');
$query->order('ordering ASC');
$db->setQuery($query);
// Load the results as a list of stdClass objects.
$getCats = $db->loadObjectList();
?>
<?php if(isset($this->secondary) && count($this->secondary)): //make sure there are sub categories here?>

<div id="yjPortolioContainer" class="yjportfolioView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">
	<ul class="yjportfolioFilter option-set" data-filter-group="themes">
					<li class="selectCat">Select category</li>
		<?php foreach ($getCats as $key => $allCategories): 
				if( $allCategories->parent == 0 ){
					$filterLink 	= ''; 
					$addData 		= '';
					$classHide 		= '';
				}else{
					$filterLink 	= '.'.strtolower(str_replace(" ","",$allCategories->name)); 
					$catsArray[]	=strtolower(str_replace(" ","",$allCategories->name));
					$addData 		=' data-iscat="'.$filterLink.'"';
					$classHide 		= 'hide';
				}
				
				
				?>
						<li<?php echo $addData?> class="<?php echo $classHide ?>">
							<a href="#" data-filter-value="<?php echo $filterLink ?>">
								<?php echo $allCategories->name ?>
							</a>
						</li>
		<?php endforeach; //echo implode("','", $catsArray); ?>
	</ul>	
	<!-- Secondary items -->
	<div id="yjportfolioLayout">
		<?php foreach($this->secondary as $key=>$item): ?>
		<?php
		// Define a CSS class for the last container on each row
		if( (($key+1)%($this->params->get('num_secondary_columns'))==0) || count($this->secondary)<$this->params->get('num_secondary_columns') )
			$lastContainer= ' itemContainerLast';
		else
			$lastContainer='';
			
			
		?>
		<div class="yjportfolioItem<?php echo $lastContainer; ?> <?php echo strtolower(str_replace(" ","",$item->category->name)) ?>"<?php echo (count($this->secondary)==1) ? '' : ' style="width:'.number_format(100/$this->params->get('num_secondary_columns'), 1).'%;"'; ?>>
			<?php
				// Load category_item.php by default
				$this->item=$item;
				echo $this->loadTemplate('item');
			?>
		</div>
		<?php if(($key+1)%($this->params->get('num_secondary_columns'))==0): ?>
		<div class="clr"></div>
		<?php endif; ?>
		<?php endforeach; ?>
		<div class="clr"></div>
	</div>

	<!-- Pagination -->
	<?php if(count($this->pagination->getPagesLinks())): ?>
	<div class="k2Pagination">
		<?php if($this->params->get('catPagination')) echo $this->pagination->getPagesLinks(); ?>
		<div class="clr"></div>
		<?php //if($this->params->get('catPaginationResults')) echo $this->pagination->getPagesCounter(); ?>
	</div>
	<?php endif; ?>
</div>
<!-- End K2 Category Layout -->
<script type="text/javascript">
var catsArray 				= ['<?php echo implode("','", $catsArray); ?>'];
var maxPortfoliosDefault	=  <?php echo $this->params->get('num_secondary_columns') ?>;
</script>
<script type='text/javascript' src='<?php echo JURI::base()?>/templates/<?php echo $currentTemplate?>/src/jquery.isotope.min.js'></script>
<script type='text/javascript' src='<?php echo JURI::base()?>/templates/<?php echo $currentTemplate?>/src/isotopeload.js'></script>
<script type='text/javascript' src='<?php echo JURI::base()?>/templates/<?php echo $currentTemplate?>/src/jquery.hoverdir.js'></script>
<?php else: ?>
<br />
<br />
<br />
<br />
<br />
<div class="yjtbox yjt_alert">
	<span class="yjt_close"></span>
	<h4 class="yjtboxtitle">YJ Portfolio category layout requirement:</h4>
	<p>
		This K2 Category layout requires minimum, 1 main category, 1 sub category and 1 item in sub category.
	</p>
</div>
<br />
<br />
<br />
<br />
<?php endif; // end subcats condition?>
